Subject: Re: linux-next: manual merge of the kvm-arm tree

From: Thierry Reding <[email-masked]>
Date: Wed, 16 Oct 2013 21:04:32 +0200

On Wed, Oct 16, 2013 at 12:02:08PM -0700, Christoffer Dall wrote:
> On 16 October 2013 11:58, Marc Zyngier <[email-masked]> wrote:
> > On 16/10/13 19:51, Thierry Reding wrote:
> >> Today's linux-next merge of the kvm-arm tree got conflicts in
> >>
> >>       arch/arm/kvm/reset.c
> >>
> >> caused by commits e8c2d99 (KVM: ARM: Add support for Cortex-A7) and ac570e0
> >> (ARM: kvm: rename cpu_reset to avoid name clash).
> >>
> >> I've fixed them up (see below). Please verify that the resolution looks
> >> good.
> >
> > Looks good to me (I have the same resolution in my own tree).
> >
> Yes, fix is good.
> 
> This will stay a conflict until kvm/next and kvm/fixes merge, which
> doesn't happen before after the merge window, usually.  If that's
> going to cause too many headaches, maybe we need to talk to the KVM
> guys (cc'ed) about a solution until then.

It shouldn't be a problem. Mark and I share the rerere cache, so unless
the conflict changes somehow it'll get resolved automatically in future
merges.

Thierry